
User Interface - Bug #2677

fix drawing and functional differences between P2J GUI and 4GL GUI

09/03/2015 04:36 PM - Greg Shah

Status: New Start date: 09/11/2015

Priority: Normal Due date:  

Assignee:  % Done: 51%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

Subtasks:

Bug # 2678: scrollbar button arrow drawing is not 100% identical Closed

Bug # 2679: window borders should have a 3D appearance Closed

Bug # 2680: status area border is not drawn correctly Closed

Bug # 2681: the titlebar height and outline does not match the 4GL version Closed

Bug # 2557: Fix MENUBAR layouting in a window New

Bug # 2624: window clear at procedure end New

Bug # 2700: gui_btn_test4.p abend with "Invalid frame ID 4" Closed

Bug # 2701: default font text sizing issue Closed

Bug # 2702: MESSAGE SET/UPDATE in GUI mode implicitly enables a special VIEW-AS ALERT-B... Closed

Bug # 2703: VIEW of a dynamic widget abends New

Bug # 2704: large fill-in drawing differences Closed

Bug # 2705: frame sizing using SIZE phrase is not honored Closed

Bug # 2706: window title attribute is not honored Closed

Bug # 2707: menu/simple_sm.p causes an infinite loop where the window flashes and the O... Closed

Bug # 2713: Incorrect labels in case of the overlapping widgets. WIP

Bug # 2714: demo/calc.p is broken Closed

Bug # 2715: demo/calc-static.p drawing differences as compared to the 4GL version Closed

Bug # 2717: The initial window's position is out of the screen. New

Bug # 2716: The application with multiple windows doesn't start. Closed

Bug # 2724: button interior focus highlight (small dotted stroked rectangle) is not pix... New

Bug # 2726: frame title color is wrong Closed

Bug # 2727: fill-in text selection is broken New

Bug # 2728: MOUSE_RELEASED/CLICKED needs to use the same source as the initial MOUSE_PR... New

Bug # 2729: alert-box usage is broken Closed

Bug # 2730: taller than default fill-in height causes text to be vertically mis-positioned Closed

Bug # 2734: button/gui_btn_test4.p abend after pause Closed

Bug # 2736: fix GUI menu drawing problems in menu/simple_sm.p Closed

Bug # 2737: Editor abends on double click Closed

Bug # 2740: Focusing frame with no focusable widget causes an abend Closed

Bug # 2741: SELECTION-LIST sizing issues New

Bug # 2743: tooltip misc GUI issues and wrong painting coords Closed

Bug # 2742: Problems when using the SIZE option Closed

Bug # 2744: dynamic widgets realize too late New

Bug # 2745: fill-in sizing differences Closed

Bug # 2748: scrollbar drawing differences Closed

Bug # 2749: widget keeps drawing with focus highlight when a different from gets selected Closed
Bug # 2750: status area height should not be added to the overall window height Closed

Bug # 2751: dragging the scrollbar thumb buttons does not work Closed

Bug # 2752: ask-gui.p frame has scrollbars when it should not Closed

Bug # 2753: window scrollbars unexpectedly appear during window resize New

Bug # 2754: dynamic widget attribute assignment breaks when the FRAME attribute is assi... New

Bug # 2756: UPDATE statement in GUI dies on GO and leaves the restarted app in an unkil... Closed

Bug # 2758: toggle-box selection highlight color depends on the widget's text color and... Closed

Bug # 2759: the key input becomes frozen (no deadlock) if the keys are pressed rapidly New

Bug # 2760: SwingEmulatedWindow.moveToTop() in Swing forces focus to shift to the windo... New

Bug # 2762: over-drawing problem with combo-box drop-down dismissal Closed

Bug # 2763: 3D drawing of window borders is regressed in 1811s revision 10994 Closed

Bug # 2764: MESSAGE UPDATE in GUI doesn't honor numeric format string Closed

Bug # 2768: combo-box displays the item value instead of its label Closed

Bug # 2769: the cursor moves roughly if press and hold the right or left arrow on to po... New

Bug # 2770: alert-box visual differences Closed

Bug # 2771: the upper part of the image button border is cleared Closed

Bug # 2772: the ask-gui.p testcase doesn't show the message update dialog. Closed

Bug # 2773: simpler_alert_box.p fails in web GUI client Closed

Bug # 2775: alert-box key processing is disabled when no main window is visible Closed

Bug # 2776: mouse processing for alert-box does not work in the web client Closed

Bug # 2777: spaces are dropped at the end of the FILL-IN when editing text New

Bug # 2778: ./ask-gui.p fails if "Program name" is filled with a misspelled program name Closed

Bug # 2779: ./demo/calc-static-chars.p has the vertical scrollbar and its buttons layou... Closed

Bug # 2780: ./image/image10_1.p fails if the working directory contains the required image Closed

Bug # 2781: ./button/gui_btn_test4.p the vertical scrollbar appears if the "Fill on/off... Closed

Bug # 2782: movie-ratings-dynamic.p has scroll bars but 4GL window hasn't Closed

Bug # 2783: ./window_sizing/create_empty_window.p fails for web and swing clients Closed

Bug # 2784: ./menu/simple_sm.p displays parts of menus inside window content frame for ... Rejected

Bug # 2785: ./menu/popup_ext.p doesn't display menu for the web client and doesn't open... New

Bug # 2786: the browse columns are not resized New

Bug # 2787: implement mnemonics/accelerator key support for button Closed

Bug # 2788: alert-box close button (in the titlebar) should be disabled Closed

Bug # 2789: implement generic ALT+mnemonic accelerator support for arbitrary focus chan... New

Bug # 2792: image loading issues Closed

Bug # 2795: scoped variables/tables/etc and persistent procedures Closed

Bug # 2796: Browse widget reports error in GUI mode New

Bug # 2799: browse widget doesn't execute validation expressions in P2J (both chui  and... New

Bug # 2801: frame's dimension (from SIZE option) gets altered  after frame attributes a... New

Bug # 2803: movie-ratings-dynamic.p has a font problem New

Bug # 2804: Incorrect ESCAPE processing. New

Bug # 2809: implement missing behaviour related to HIDDEN attribute WIP

Bug # 2810: button highlight does not change when the user clicks on a non-focused button Rejected

Bug # 2827: PAUSE (and probably STATUS) don't cause an otherwise not visible window to ... New

Bug # 2828: alert-box button text is vertically positioned too low in the web client as... New

Bug # 2831: Pressing ENTER key on the combo box breaks the window layout. Closed

Bug # 2832: GUI combo-box simple mode is broken Closed

Bug # 2833: GUI combo-box navigation keys don't work as expected Closed

Bug # 2834: GUI combo-box multiple drop-downs can be shown Closed

Bug # 2835: Abend when ChUI combo-box drop-down activated Closed

Bug # 2836: wrong number of inner lines in COMBO-BOX Closed

Bug # 2837: GUI combo-box drop-down needs to be able to draw outside of it's containing... Closed

Bug # 2844: flat status area in web client Closed

Bug # 2845: rounded rectangle corner drawing New
Bug # 2847: Potential issues in GUI frame layout realized in non-default window New

Bug # 2848: right side border of fillin is missing New

Bug # 2849: implement and/or fix the default popup menus for all widgets Closed

Bug # 2850: menu/simple_sm.p drawing issues in Swing client Closed

Bug # 2851: the default-window retains its active titlebar even when it is no longer th... Closed

Bug # 2852: missing status text and active titlebar color during editing New

Bug # 2853: layout is wrong in ./image/image10_1.p New

Bug # 2854: scrollbar buttons don't draw the pressed state Closed

Bug # 2855: GUI SELECTION-LIST changes current list item on cursor key up instead of down New

Bug # 2856: GUI SELECTION-LIST of 1 item doesn't select the item on key down New

Bug # 2857: font differences for toggle box and menu Closed

Bug # 2859: combo-box layout obscures the 3D border Closed

Bug # 2861: fix widget z-order inside frame, when focus is switching - there are differ... Closed

Bug # 2879: selecting item from the list by mouse in SELECTION-LIST widget is broken New

Bug # 2886: missing pause when an invalid program name is input in ask-gui.p New

Bug # 2887: web client flashing/drawing artifacts Closed

Bug # 2888: SELECTION-LIST ignores DEFAULT-ACTION New

Bug # 2889: Multiple windows support is incorrect New

Bug # 2890: Incompatible ON ENTRY trigger activation New

Bug # 2891: Cannot switch between windows in simple_windows.p New

Bug # 2897: image based button become distorted on exit after disable/enable cycle New

Bug # 2899: drop-down text "Pulp Fiction" is trimmed incorrectly in movie-ratings-dynam... New

Bug # 2900: the drop-down in movie-ratings-dynamic.p shows an extra line New

Bug # 2901: clicking on a checkbox without label displays the "selected" rectangle at t... New

Bug # 2902: demo/demo_widgets.p top frame is made scrollable (height is incorrect?) New

Bug # 2903: the height of the frame in movie-ratings-static.p is incorrect New

Bug # 2904: ./frame-z-order/zw1.p  - incorrect focus owner New

Bug # 2905: ./window_parenting/waitfor_2wnd.p  the web client displays two windows with... New

Bug # 2906: to support wheel events for the web client Closed

Bug # 2907: UPDATE statement in a window which is not ACTIVE-WINDOW must bring the wind... New

Bug # 2909: Fix key navigation for popup_ext.p Closed

Bug # 2911: Fix extra background shown for popup_ext.p Closed

Bug # 2910: artifacts (traces) of closed pop-up menu and menubar is stayed in the works... Closed

Bug # 2912: alert-box is displayed on the task bar in Web GUI client, it shouldn't Closed

Bug # 2913: Improve window dragging in Web GUI client Feedback

Bug # 2914: Fix errors in window_sizing/test_runner.p Closed

Bug # 2915: A modal window in Swing GUI client should not be on top of all other OS win... New

Bug # 2916: sub-menu arrow in a title is drawn differently: as without left vertical li... Closed

Bug # 2918: frame title active state difference for frames without focusable widgets Closed

Bug # 2919: new version of demo_widgets.p displays the drawing artifact related to curs... New

Bug # 2920: fix fill-in caret color when background is not white New

Bug # 2921: fix vertical placement of FILL-IN (editable or not)/LABEL/EDITOR text Closed

Bug # 2922: ./toggle_box/gui/tbx_present.p clicking on an any scrollbar button leads to... New

Bug # 2923: ./combo_box/combo_box9_1.p web combobox width is not enough to display its ... New

Bug # 2924: The combobox drop down throws ArrayIndexOutOfBound exception if the scroll ... Closed

Bug # 2925: EDITOR widget is invisible in presence of the BROWSE one. New

Bug # 2934: ON ENTRY trigger is not activated with COMBO-BOX New

Bug # 2935: Active drop-down disables triggers and WAIT ... PAUSE New

Bug # 2938: ./demo/calc.p (web client) the plus sign button becomes damaged if do click... New

Bug # 2939: ./demo/calc-static-chars.p the plus sign button looks like it doesn't fit t... New

Bug # 2940: ./image/image0.p displays a faded app-icon.ico. New

Bug # 2943: ./browse/gui/browse-gui-stat1.p the last two browse header columns become p... Closed

Bug # 2944: The browse header and body fonts are not usable  for dispaly resolution 136... New
Bug # 2954: Focus is not put on the expected widget when window activated Closed

Bug # 2953: WinKeyboardReader should clear the key modifiers when P2J window deactivate... Closed

Bug # 2956: When switching windows with Web GUI task bar the source window is not deact... Closed

Bug # 2957: Window doesn't receive LEAVE event when non-P2J window activated New

Bug # 2958: application freeze after repeated use of MESSAGE UPDATE Rejected

Bug # 2966: NullPointerException is raised when RMB is clicked to show popup menu Closed

Bug # 2970: rework menus to use OverlayWindow Closed

Bug # 2971: rework tooltip support to use OverlayWindow New

Bug # 2972: StringIndexOutOfBoundsException in ScrollBar (GUI) New

Bug # 2978: The Swing GUI window cannot be dragged between two monitors New

Bug # 2979: The drop-down selection list for the combo-box is not properly aligned in t... New

Bug # 2986: ./demo/simple_windows.p opens the frame titled "second frame" with unset in... Closed

Bug # 2987: the combo-box's resources aren't disposed if its dropdown is collapsed New

Bug # 2988: The web click events on the caption buttons can invoke the resize action. Closed

Bug # 2995: if the first mouse after app startup is on a combo-box, then an abend occurs Closed

Bug # 3006: paste operation doesn't work properly New

Bug # 3013: The mouse wheel doesn't work if the mouse pointer is over scrollbars Closed

Feature # 3019: Add icons support to menu items New

Bug # 3021: MESSAGE with SET clause works incorrectly Closed

Bug # 3025: Do not show resize cursor for non-resizable window New

Bug # 2757: Non-button widget as CANCEL-BUTTON/DEFAULT-BUTTON option New

Bug # 3033: Multiple issue with simple test New

Bug # 2572: improve realized for widgets New

Bug # 2689: multiple items with same mnemonic New

Bug # 3039: fix PASTE issues in EDITOR New

Bug # 3056: Mouse pointer issues for menus New

Bug # 3058: image/image10_1.p has a positioning or clipping issue in the web client New

Bug # 3069: The maximize/restore action for the web client doesn't work properly Closed

Bug # 3073: Combo-box bug: widget is not in the container Closed

Bug # 3075: The window icon popup menu isn't displayed if a user clicks on the window i... Closed

Bug # 3071: A NPE is thrown when Alt-Tab while COMBO-BOX drop down active Closed

Bug # 3083: Unhandled exception when Shift+Alt+Tab in EDITOR New

Bug # 3085: Toggle-box labels are drawn differently for SWING and WEB clients New

Bug # 3086:  ./mouse/load-mouse-pointer.p  the custom mouse pointer assigned to the wid... New

Bug # 3087: /mouse/load-mouse-pointer.p : combobox in simple mode doesn't display items. New

Bug # 3089: ./menu/simple_sm.p : The web client collapses the opened submenu if the mou... New

Bug # 3090: Flashing rectangle appears on the background for the first start of the pop... New

Bug # 3091: ./demo/demo_widgets.p can be broken using editor and key pressing TAB, SHIF... New

Bug # 3096: Mnemonics highlighting for buttons in GUI New

Bug # 3113: web client failure when trying to connect two web clients to the same P2J s... Closed

Bug # 3119: Clicking on the modal dialog close caption button hides its owner, but the ... New

Bug # 3121: The combobox entry is always selected if it is focused New

Bug # 3122: The P2J frame doesn't display a horizontal scroll bar if it contains many w... New

Bug # 3123: Pressing ESC in an active GUI menu should only exit the menu New

Bug # 3125: Mnemonics support in menus needs to be improved New

Bug # 3127: ./menu/popup_ext.p is failed during testing the popup button menu New

Bug # 3106: Various GUI COMBO-BOX issues New

Bug # 3107: GUI FRAME height may be calculated wrong due to rounding New

Bug # 3101: minimizing a web window results that the java web client process throws exc... Closed

Bug # 3134: CHUI menu issues when some labels are empty New

Bug # 3137: DELETE WIDGET does not hide the frame New

Bug # 3136: Unhandled exception after VIEW frame, due to frame widget not registered on... Closed

Bug # 3142: the mouse "hotspot" in the web client is in an unexpected location Closed
Bug # 3143: An infinite loop while closing a dialog New

Bug # 3148: UP and DOWN keys don't work with menus Feedback

Bug # 3150: A Slider widget doesn't respond to mouse dragging. New

Bug # 3157: Menu layout bugs for CHUI New

Bug # 3167: The modal windows appearence issues in the case of the virtual desktop has ... New

Bug # 3175: a created dynamic widget is not always added to its parent's field group New

Bug # 3176: The first item in popup menu is drawn as selected right after menu is opened. Feedback

Bug # 3179: Fix WINDOW:FIRST-CHILD to iterate over frames and FRAME parenting (when the... New

Bug # 3193: P2J fails fitting a SELECTION-LIST within a frame in certain cases New

Bug # 3204: "No renderer found" bug in menus New

Bug # 3252: incorrect cursor position in password fill-ins New

Related issues:

Related to User Interface - Feature #2252: implement GUI client support Closed 03/24/2014

History

#1 - 03/23/2016 11:33 AM - Greg Shah

- Parent task deleted (#2252)

#2 - 03/23/2016 05:15 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
